# mp3jukebox/www/admin/mp3-add.tcl

ad_page_contract {

    This page serves as a UI to edit an mp3

    @author wirth@ybos.net
    @creation-date 2000-03-08

} {

    mp3_id:naturalnum,notnull

    
} -properties {

    page_title:onevalue
    context:onevalue
    form_action:onevalue
    hidden_vars:onevalue
}

#requires admin permission as under /admin

set title "Edit an MP3"

set page_title "Edit an MP3:$title"
set context [list $page_title]

set form_action mp3-edit-2
set hidden_vars [export_form_vars mp3_id]

if {![db_0or1row mp3_information "
        select * from mp3_mp3s where mp3_id=:mp3_id
"] } {
     ad_return_error "Error" "There is no mp3 with id number $mp3_id.  Please hit the back button on your browser and try again."
     return -code return
}

set page_title "Edit MP3:$title"
set context [list $page_title]

set variables_p [list copyright_p stereo_p vbr_p]
foreach variable $variables_p {
    if { [set $variable] == "f"} {
	set "${variable}_f" "checked"
	set "${variable}_t" ""
    } elseif { [set $variable] == "t"} {
	set "${variable}_t" "checked"
        set "${variable}_f" ""
    } else {
	set "${variable}_t" ""
	set "${variable}_f" ""
    }
}
set varchars [list file_path title artist bitrate album genre comments state]
foreach var $varchars {
    set "escape_${var}" "[ad_quotehtml [set $var]]" 

}

set page_title "Edit MP3:$escape_title"
set context [list $page_title]

ad_return_template