# /packages/mp3jukebox/www/admin/playlist-create-2.tcl

ad_page_contract {

    This page adds a playlist to the database
    and redirects to index.tcl

    @author wirth@ybos.net
    @creation-date 2000-03-02

} {
    playlist_name:notnull
    remove_threshold:integer,notnull
    playlist_id
}

#requires admin permission as under /admin

set package_id [ad_conn package_id]

set creation_ip [ad_conn "peeraddr"]
set creation_user [ad_conn "user_id"]

#remove_threshold expects a negative number for vote threshold, but the user 
#will expect to type in a positive number.  So we change it to negative behind
#the scenes for them. If they type in a negative number or zero, we input the number as is.

if {$remove_threshold > 0} {
    set neg_remove_threshold [expr $remove_threshold * -1]
} else {
    set neg_remove_threshold $remove_threshold 
} 

if [catch {
    db_exec_plsql create_playlist "
    begin
       :1 := mp3_playlist.new(
       playlist_id => :playlist_id,
       name => :playlist_name,
       remove_threshold => :neg_remove_threshold,
       creation_ip => :creation_ip,
       creation_user => :creation_user,
       creation_date => sysdate,
       context_id => :package_id
);
end;
"
} errmsg ] {

    set complaint " The database did not accept your input. 
	See details for the error message below\n\n\t<p><b>$errmsg</b>"
    ad_return_error "Database Error" "$complaint" 
    ad_script_abort
	
} else {
	
    ad_returnredirect one-playlist?playlist_id=$playlist_id
	
}    



