#mp3/www/one-playlist.tcl
ad_page_contract {

    Lists properties of one playlist including related mp3s

    @author wirth@ybos.net
    @creation-date 2000-03-02

} {

    playlist_id:naturalnum,notnull
    
} -properties {

    page_title:onevalue
    context:onevalue
    name:onevalue
    playlist_mp3s:multirow
    playlist_info
    remove_threshold
    playlist_id:onevalue
    yes_vote:onevalue
    no_vote:onevalue
}


set title "One Playlist"
set context [list $title]
set page_title "One Playlist"


# @author jennie@ybos.net
db_1row playlist_info "
    select name, remove_threshold, nvl(sc.songs,0) as songs, mp.playlist_id
     from mp3_playlists mp,
          mp3_playlist_song_count sc
     where mp.playlist_id=:playlist_id
     and   sc.playlist_id(+) = mp.playlist_id
"

db_1row vote_info "
   select remove_threshold 
     from mp3_playlists
   where playlist_id=:playlist_id
"

db_multirow playlist_mp3s mp3_info "
    select sort_key,
    mp.title as title, map.mp3_id as mp3_id, total, artist,
    decode (sign (total - :remove_threshold),1,'t','f') as active_p
    from mp3_mp3_playlist_map_view map, 
    mp3_mp3s_not_deleted mp
    where map.playlist_id = :playlist_id
    and   map.mp3_id=mp.mp3_id
    order by sort_key
"

set yes_vote "up"
set no_vote "down"
set ui_remove_threshold [expr -1 * $remove_threshold]

ad_return_template