#mp3/www/vote.tcl
ad_page_contract {

    Vote to keep/remove mp3 in playlist

    @author wirth@ybos.net
    @creation-date 2000-03-02

    @param mp3_id
    @param playlist_id
    @param vote

} {
    mp3_id:naturalnum,notnull
    playlist_id:naturalnum,notnull
    vote:notnull
} 

set user_id [ad_conn user_id]

if {[string compare $vote "up"] == 0 } {

    set vote_num 1
    
} elseif {[string compare $vote "down"] == 0 } {

    set vote_num -1

} else {

    set complaint "Your vote was not valid.  Please back up using the back button on your browser and try again."
    ad_return_error "Error" "$complaint"

    ad_script_abort

}

if [catch {
    db_exec_plsql vote_cast "
	begin
	  :1 := mp3_playlist.vote_cast (
		mp3_id => :mp3_id,
		playlist_id => :playlist_id,
		user_id => :user_id,
		vote_date => sysdate,
		vote => :vote_num
		);
	end;
    "
} errmsg ] {

    set complaint " The database did not accept your input. 
	See details for the error message below\n\n\t<p><b>$errmsg</b>"
    ad_return_error "Database Error" "$complaint" 
    ad_script_abort
	
} else {

   ad_returnredirect one-playlist?[export_url_vars playlist_id]
}